#include<bits/stdc++.h>
using namespace std;


int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);cout.tie(0);
    int n, q, s, x;
    cin >> n >> q;
    vector<int> a(n);
    s = n / 2;
    for(int i = 0; i < n; i++)
        cin >> a[i];
    
    sort(a.begin(), a.end());

    int novaMedijana, novoN, n1, pozicija;
    for(int i = 0; i < q; i++)
    {
        novoN = 0;
        cin >> x;
        auto it = lower_bound(a.begin(), a.end(), x);
        //cout << *it << " " << it - a.begin() << " ";
        pozicija = it - a.begin();//poz na koju ce se nalazi, ili se nalazi.
        if(*it == x)
        {   5
            if(pozicija > s || (pozicija >= s && n % 2 == 0))
            {
                novoN = pozicija * 2 - n;
            }
            else
            {
                novoN = n - 1 - pozicija - pozicija;
            }
        }
        else
        {
            if(pozicija > s)
            {   
                n1 = n + 1;
                novoN = pozicija * 2 - n1 + 1;
            }
            else
            {
                n1 = n + 1;
                novoN = n1 - pozicija - pozicija;
            }
        }
        cout << novoN << endl;
    }
    return 0;
}